Get information about a driver.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Drivers under the Drivers category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/fleet/drivers/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"attributes": [
{
"dateValues": [
"<string>"
],
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "License Certifications",
"numberValues": [
123
],
"stringValues": [
"<string>"
]
}
],
"carrierSettings": {
"carrierName": "Acme Inc.",
"dotNumber": 98231,
"homeTerminalAddress": "1234 Pear St., Scranton, PA 62814",
"homeTerminalName": "Acme Inc.",
"mainOfficeAddress": "1234 Pear St., Scranton, PA 62814"
},
"createdAtTime": "2019-05-18T20:27:35Z",
"currentIdCardCode": "941767043",
"driverActivationStatus": "active",
"eldAdverseWeatherExemptionEnabled": false,
"eldBigDayExemptionEnabled": false,
"eldDayStartHour": 0,
"eldExempt": false,
"eldExemptReason": "Bad driver",
"eldPcEnabled": false,
"eldSettings": {
"rulesets": [
{
"break": "Property (off-duty/sleeper)",
"cycle": "USA 60 hour / 7 day",
"jurisdiction": "AR",
"restart": "Default",
"shift": "US Interstate Property"
}
]
},
"eldYmEnabled": false,
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"hasDrivingFeaturesHidden": true,
"hasVehicleUnpinningEnabled": true,
"id": "123",
"isDeactivated": false,
"licenseNumber": "E1234567",
"licenseState": "CA",
"locale": "us",
"name": "Susan Jones",
"notes": "Also goes by the nickname Furious Fred.",
"peerGroupTag": {
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
},
"phone": "5558234327",
"profileImageUrl": "https://example.com/images/driver-profile.jpg",
"staticAssignedVehicle": {
"id": "123456789",
"name": "Midwest Truck #4"
},
"tachographCardNumber": "1000000492436002",
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
],
"timezone": "America/Los_Angeles",
"trailerGroupTag": {
"id": "3914",
"name": "West Coast",
"parentTagId": "4815"
},
"updatedAtTime": "2019-06-13T19:08:25Z",
"usDriverRulesetOverride": {
"cycle": "TX 70 hour / 7 day",
"restart": "34-hour Restart",
"restbreak": "None",
"usStateToOverride": "TX"
},
"username": "SusanJones",
"vehicleGroupTag": {
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
},
"waitingTimeDutyStatusEnabled": false
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the driver. This can either be the Samsara-specified ID, or an external ID. External IDs are customer specified key-value pairs created in the POST or PATCH requests of this resource. To specify an external ID as part of a path parameter, use the following format: key:value. For example, payrollId:ABFS18600
Returns the specified driver.
A single driver.
A driver object
Show child attributes
curl --request GET \
--url https://api.samsara.com/fleet/drivers/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"attributes": [
{
"dateValues": [
"<string>"
],
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "License Certifications",
"numberValues": [
123
],
"stringValues": [
"<string>"
]
}
],
"carrierSettings": {
"carrierName": "Acme Inc.",
"dotNumber": 98231,
"homeTerminalAddress": "1234 Pear St., Scranton, PA 62814",
"homeTerminalName": "Acme Inc.",
"mainOfficeAddress": "1234 Pear St., Scranton, PA 62814"
},
"createdAtTime": "2019-05-18T20:27:35Z",
"currentIdCardCode": "941767043",
"driverActivationStatus": "active",
"eldAdverseWeatherExemptionEnabled": false,
"eldBigDayExemptionEnabled": false,
"eldDayStartHour": 0,
"eldExempt": false,
"eldExemptReason": "Bad driver",
"eldPcEnabled": false,
"eldSettings": {
"rulesets": [
{
"break": "Property (off-duty/sleeper)",
"cycle": "USA 60 hour / 7 day",
"jurisdiction": "AR",
"restart": "Default",
"shift": "US Interstate Property"
}
]
},
"eldYmEnabled": false,
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"hasDrivingFeaturesHidden": true,
"hasVehicleUnpinningEnabled": true,
"id": "123",
"isDeactivated": false,
"licenseNumber": "E1234567",
"licenseState": "CA",
"locale": "us",
"name": "Susan Jones",
"notes": "Also goes by the nickname Furious Fred.",
"peerGroupTag": {
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
},
"phone": "5558234327",
"profileImageUrl": "https://example.com/images/driver-profile.jpg",
"staticAssignedVehicle": {
"id": "123456789",
"name": "Midwest Truck #4"
},
"tachographCardNumber": "1000000492436002",
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
],
"timezone": "America/Los_Angeles",
"trailerGroupTag": {
"id": "3914",
"name": "West Coast",
"parentTagId": "4815"
},
"updatedAtTime": "2019-06-13T19:08:25Z",
"usDriverRulesetOverride": {
"cycle": "TX 70 hour / 7 day",
"restart": "34-hour Restart",
"restbreak": "None",
"usStateToOverride": "TX"
},
"username": "SusanJones",
"vehicleGroupTag": {
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
},
"waitingTimeDutyStatusEnabled": false
}
}